Creates a new communications template from provided data
curl --request POST \
--url https://api.rootly.com/v1/communications/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "communications_templates",
"attributes": {
"name": "<string>",
"communication_type_id": "<string>",
"description": "<string>",
"position": 123,
"communication_template_stages_attributes": [
{
"communication_stage_id": "<string>",
"sms_content": "<string>",
"email_subject": "<string>",
"email_body": "<string>",
"slack_content": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "communications_templates",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"communication_template_stages": [
{
"data": {
"id": "<string>",
"type": "communications_template_stages",
"attributes": {
"email_body": "<string>",
"email_subject": "<string>",
"slack_content": "<string>",
"sms_content": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"communication_stage": {
"id": "<string>",
"name": "<string>"
},
"communication_template": {
"id": "<string>",
"name": "<string>"
}
}
}
}
],
"communication_type": {
"id": "<string>",
"name": "<string>"
}
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/communications/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "communications_templates",
"attributes": {
"name": "<string>",
"communication_type_id": "<string>",
"description": "<string>",
"position": 123,
"communication_template_stages_attributes": [
{
"communication_stage_id": "<string>",
"sms_content": "<string>",
"email_subject": "<string>",
"email_body": "<string>",
"slack_content": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "communications_templates",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"communication_template_stages": [
{
"data": {
"id": "<string>",
"type": "communications_template_stages",
"attributes": {
"email_body": "<string>",
"email_subject": "<string>",
"slack_content": "<string>",
"sms_content": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"communication_stage": {
"id": "<string>",
"name": "<string>"
},
"communication_template": {
"id": "<string>",
"name": "<string>"
}
}
}
}
],
"communication_type": {
"id": "<string>",
"name": "<string>"
}
}
}
}